%global gittag %{version}.Final

Name:             eclipse-usage
Version:          4.4.4
Release:          1%{?dist}
Summary:          Usage reporting plug-ins for Eclipse
License:          EPL and ASL 2.0
URL:              http://tools.jboss.org/

# Generate tarball with: ./get-jbosstools.sh
Source0:          jbosstools-%{gittag}.tar.xz
Source1:          get-jbosstools.sh

BuildArch:        noarch

BuildRequires:    tycho
BuildRequires:    tycho-extras
BuildRequires:    eclipse-epp-logging
BuildRequires:    maven-install-plugin
BuildRequires:    maven-plugin-build-helper

%description
Usage reporting plug-ins for Eclipse.

%prep
%setup -q -n jbosstools-%{gittag}

# Fix whitespace error in xml declaration
sed -i -e '1s/\t//' jbosstools-build/parent/pom.xml

# Fix perms on license
chmod -x jbosstools-base/foundation/features/org.jboss.tools.foundation.license.feature/license.html

# Remove unnecessary plugins from parent pom
%pom_remove_plugin org.jboss.tools.tycho-plugins:repository-utils jbosstools-build/parent
%pom_remove_plugin org.jacoco:jacoco-maven-plugin jbosstools-build/parent
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin jbosstools-build/parent
%pom_remove_plugin org.sonatype.plugins:nexus-staging-maven-plugin jbosstools-build/parent

# Remove dep on jgit
%pom_xpath_remove "pom:plugin[pom:artifactId='tycho-packaging-plugin']/pom:dependencies" jbosstools-build/parent
%pom_xpath_remove "pom:plugin[pom:artifactId='tycho-packaging-plugin']/pom:configuration/pom:sourceReferences" jbosstools-build/parent
%pom_xpath_set "pom:plugin[pom:artifactId='tycho-packaging-plugin']/pom:configuration/pom:timestampProvider" "default" jbosstools-build/parent

# Disable everything except for usage plugin
%pom_disable_module org.jboss.tools.foundation.feature jbosstools-base/foundation/features
%pom_disable_module org.jboss.tools.foundation.security.linux.feature jbosstools-base/foundation/features
%pom_disable_module org.jboss.tools.foundation.test.feature jbosstools-base/foundation/features
%pom_disable_module plugins jbosstools-base/foundation
%pom_disable_module tests jbosstools-base/foundation
%pom_disable_module org.jboss.tools.usage.test.feature jbosstools-base/usage/features
%pom_disable_module org.jboss.tools.usage.test jbosstools-base/usage/tests

# No need to install poms or license feature
%mvn_package "::pom::" __noinstall
%mvn_package ":org.jboss.tools.foundation.license.feature" __noinstall

%build
pushd jbosstools-build
%mvn_build -j -- install -f parent/pom.xml
popd

sed -i -e 's/%{gittag}-SNAPSHOT/%{gittag}/' jbosstools-base/pom.xml
%mvn_build -j -- -Dno-target-platform -f jbosstools-base/pom.xml -e

%install
%mvn_install

%files -f .mfiles
%license jbosstools-base/foundation/features/org.jboss.tools.foundation.license.feature/license.html

%changelog
* Tue Jul 04 2017 Nick Boldt <nboldt@redhat.com> - 4.4.4-1
- Update to latest release

* Tue Jan 17 2017 Mat Booth <mat.booth@redhat.com> - 4.4.3-1
- Update to latest release

* Wed Oct 26 2016 Mat Booth <mat.booth@redhat.com> - 4.4.1-3
- Augment the product ID instead of the distro name

* Fri Oct 21 2016 Mat Booth <mat.booth@redhat.com> - 4.4.1-2
- Trim down the source tarball and fix the license tag

* Tue Sep 27 2016 Mat Booth <mat.booth@redhat.com> - 4.4.1-1
- Initial package
